Class
Tuple
A plain fixed-length string.

Tuple

Bit Packed Tuple

Tuple<T, SIZE[, TSpec]>
Include Headers
seqan/basic.h
Parameters

T | The value type, that is the type of characters stored in the tuple.
SIZE | The size/length of the tuple. Remarks: In contrast to String the length of Tuple is fixed.
TSpec | The specializing type. Default: void, no compression (faster access).

Specializations

Bit Packed Tuple | A plain fixed-length string. Saves memory by packing bits.

Metafunctions

LENGTH | Number of elements in a fixed-size container.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45